### Reasons to war

![](ReasonsToWar.gif)

- [My program](https://maikenchristiansen.gitlab.io/aestetisk-programmering/MiniX5/)
- [My code](https://gitlab.com/MaikenChristiansen/aestetisk-programmering/-/blob/main/MiniX5/sketch.js)

For this MiniX I have created a simple program. I started by thinking of the rules I wanted to incorporate into my program, here I thought it would be nice to use a bit of the syntax we used in the lectures. Therefore, the two rules of my program are that there is a 50/50 percent chance that the generative part of my program creates a “rotated” line or a dot. Those two elements of my program have a random stroke weight between 2 and 5.
The other part of my program is about the syntax for mouseIsPressed.  Here I created an if statement to say “if the mouse is pressed” do something. So, when the mouse is pressed, the generative part of my program stops, and 10 words from my array called “words” show in random places on the canvas.  But if the mouse is not pressed the program will make some generative art (looks a bit like morse code) until the X and Y coordinates reach the width and height of the canvas.

The concept behind this program is dragged out of some people’s everyday life right now. I never thought I would experience war, but these days war is a huge part of our life, news, and fears. When you learn about WW2 in school you do not think that anything like this could happen or that your grandma was born the year WW2 started. But these days war is a reality for a lot of Ukrainian citizens, they must flee from their homes because of politics and power. I wanted to symbolize how easily war can break out, this is symbolized with the press of the mouse. If you press the mouse in my program, you start a war, if you do not do anything it will stay peaceful and look like artwork instead. As stated in Nick Montfort et al. “Randomness,” 10 PRINT CHR$(205.5+RND(1)); : GOTO10 ”Life itself is full of randomness and the inexplicable, and it is no small wonder that children and adults alike consciously incorporate chance into their daily lives, as if to tame it.”  According to this statement, you could talk about how randomly you select the victims of the war. When the Russian military selects an area, they want to bomb, they do not know any of their victims. It is randomly chosen which men, women, and children that need to die for the disagreement between the Ukrainian and Russian head of state. The sad part of this story is that many of these victims are innocent and just want to live their normal life.

The randomness in a program like mine can be discussed because is it random or is it just an imagination humans have? When a computer is generating something, it takes all the possibilities and makes an order but at some point, it will generate the same order. Therefore, it is possible to argue that nothing a computer generates is random, but it can give humans an imagination of the randomness we are not able to generate by ourselves.
When talking about auto-generator I instantly thought about programs that do the same things again and again, but I did not see the programs running with a set of rules. I think it is nice but hard to do as Sol LeWitt and make some rules for the program. The nice part of it is that the rules can be understood differently, which will create different kinds of art. But the idea of just giving people a set of rules can also be very challenging, especially if you think so much about the rules that your creativity disappears in your work. The creativity of us needs to be seen in our work at the same time I have the opinion that you in some way need to “feel” the creator and his/her purpose of the program.

### References
[Aesthetic programming - W. Soon & G. Cox](https://aesthetic-programming.net/pages/4-data-capture.html#minix-capture-all-15243)

[Nick Montfort et al. “Randomness,” 10 PRINT CHR$(205.5+RND(1)) - GOTO10](https://10print.org/)
